## visad.data.netcdf.in
Class View.DataIterator

    java.lang.Object
      visad.data.netcdf.in.VirtualDataIterator
          visad.data.netcdf.in.View.DataIterator

Enclosing class:
  View

protected class View.DataIterator
extends VirtualDataIterator

Iterates over the virtual VisAD data objects of this view.

Field Summary

Fields inherited from class visad.data.netcdf.in.VirtualDataIterator
`view`

Constructor Summary
`(package private)` `View.DataIterator()` Constructs from nothing.

Method Summary
`protected VirtualData` `getData()` Returns a copy of the next virtual VisAD data object.

Methods inherited from class visad.data.netcdf.in.VirtualDataIterator
`getNetcdf, hasNext, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### View.DataIterator

    View.DataIterator()

  Constructs from nothing.

Method Detail

### getData

    protected VirtualData getData()
                           throws TypeException,
                                  VisADException,
                                  IOException

  Returns a copy of the next virtual VisAD data object.

  This implementation uses `View.isCharToText()`, `View.isNumeric(Variable)`, `View.isIgnorable(Variable)`, and `View.getData(Variable)`.

  Specified by:
    `getData` in class `VirtualDataIterator`
  Returns:
    A copy of the next virtual VisAD data object or `null` if there is no more data.
  Throws:
    `TypeException` - if a `ScalarType` needed to be created but couldn't.
    `VisADException` - Couldn't create necessary VisAD object.
    `IOException` - if a netCDF read-error occurs.